export declare enum Locale {
    ARABIC = "ar",
    GERMAN = "de",
    ENGLISH = "en",
    SPANISH = "es",
    FRENCH = "fr",
    HINDI = "hi",
    ITALIAN = "it",
    JAPANESE = "ja",
    KOREAN = "ko",
    DUTCH = "nl",
    POLISH = "pl",
    PORTUGUESE = "pt",
    RUSSIAN = "ru",
    SWEDISH = "sv",
    TURKISH = "tr",
    UKRAINIAN = "uk",
    URDU = "ur",
    VIETNAMESE = "vi",
    CHINESE = "zh"
}
export type LocaleDetails = {
    displayName: string;
    shortName: string;
    dir: 'ltr' | 'rtl';
};
export type NestedStrings = {
    [key: string]: NestedStrings | string;
};
export type NestedPath<T extends NestedStrings> = {
    [K in keyof T]: T[K] extends string ? K & string : T[K] extends NestedStrings ? `${K & string}.${NestedPath<T[K]>}` : '';
}[keyof T];
export type Translations<T extends NestedStrings = NestedStrings> = {
    [key in Locale]?: T;
};
export type DefaultTranslations = Required<Translations<{
    components: {
        global: NestedStrings;
    };
}>>;
