import { HTMLAttributes } from 'react';
import { ButtonOrLinkProps } from '../../atoms';
import { SxColor } from '../../tokens';
import { DistributiveOmit } from '../../utils/type-level';
type Element = HTMLButtonElement | HTMLAnchorElement;
export type MarketingButtonProps = {
    /** Variant of the button. One of `outlined` or `filled`. Defaults to `outlined`. */
    variant?: 'outlined' | 'filled';
    /** Color of the outline (if `variant` is `outlined`) or of the fill (if `variant` is `filled`). Defaults to `Purple64` (if `variant` is `outlined`) or `Purple88` (if `variant` is `filled`). */
    color?: SxColor;
    /** Same as `color`, but on hover. Defaults to `color` if it's set, otherwise defaults to `Purple`. */
    colorHover?: SxColor;
    /** Color of the text. Defaults to `White` (or `Midnight` if `variant` is `filled` and `color` is set to a light color). */
    textColor?: SxColor;
} & DistributiveOmit<ButtonOrLinkProps, 'selected'> & HTMLAttributes<Element>;
export declare const MarketingButton: import("react").ForwardRefExoticComponent<(Omit<{
    /** Variant of the button. One of `outlined` or `filled`. Defaults to `outlined`. */
    variant?: "filled" | "outlined" | undefined;
    /** Color of the outline (if `variant` is `outlined`) or of the fill (if `variant` is `filled`). Defaults to `Purple64` (if `variant` is `outlined`) or `Purple88` (if `variant` is `filled`). */
    color?: SxColor | undefined;
    /** Same as `color`, but on hover. Defaults to `color` if it's set, otherwise defaults to `Purple`. */
    colorHover?: SxColor | undefined;
    /** Color of the text. Defaults to `White` (or `Midnight` if `variant` is `filled` and `color` is set to a light color). */
    textColor?: SxColor | undefined;
} & Omit<ButtonOrLinkProps.ClientLinkProps, "selected"> & HTMLAttributes<Element>, "ref"> | Omit<{
    /** Variant of the button. One of `outlined` or `filled`. Defaults to `outlined`. */
    variant?: "filled" | "outlined" | undefined;
    /** Color of the outline (if `variant` is `outlined`) or of the fill (if `variant` is `filled`). Defaults to `Purple64` (if `variant` is `outlined`) or `Purple88` (if `variant` is `filled`). */
    color?: SxColor | undefined;
    /** Same as `color`, but on hover. Defaults to `color` if it's set, otherwise defaults to `Purple`. */
    colorHover?: SxColor | undefined;
    /** Color of the text. Defaults to `White` (or `Midnight` if `variant` is `filled` and `color` is set to a light color). */
    textColor?: SxColor | undefined;
} & Omit<ButtonOrLinkProps.ExternalLinkProps, "selected"> & HTMLAttributes<Element>, "ref"> | Omit<{
    /** Variant of the button. One of `outlined` or `filled`. Defaults to `outlined`. */
    variant?: "filled" | "outlined" | undefined;
    /** Color of the outline (if `variant` is `outlined`) or of the fill (if `variant` is `filled`). Defaults to `Purple64` (if `variant` is `outlined`) or `Purple88` (if `variant` is `filled`). */
    color?: SxColor | undefined;
    /** Same as `color`, but on hover. Defaults to `color` if it's set, otherwise defaults to `Purple`. */
    colorHover?: SxColor | undefined;
    /** Color of the text. Defaults to `White` (or `Midnight` if `variant` is `filled` and `color` is set to a light color). */
    textColor?: SxColor | undefined;
} & Omit<ButtonOrLinkProps.ButtonProps, "selected"> & HTMLAttributes<Element>, "ref">) & import("react").RefAttributes<Element>>;
export declare const MarketingButtonOutlined: import("react").ForwardRefExoticComponent<Omit<Omit<MarketingButtonProps, "variant">, "ref"> & import("react").RefAttributes<Element>>;
export declare const MarketingButtonFilled: import("react").ForwardRefExoticComponent<Omit<Omit<MarketingButtonProps, "variant">, "ref"> & import("react").RefAttributes<Element>>;
export {};
