import type NextLinkType from 'next/link';
import { ReactNode } from 'react';
import { NavigationApp, NavigationAppName } from './types';
export declare const switcherData: Record<NavigationAppName, NavigationApp>;
export declare const ecosystem: Record<string, NavigationApp>;
export type NavItemChild = {
    label: string;
    description: string;
    url: string;
};
export type NavItemType = {
    label: ReactNode;
    url?: string;
    as?: string;
    external?: boolean;
    active?: boolean;
    urlMatch?: (string | RegExp)[];
    /** @deprecated The position is now set automatically. */
    position?: object;
    children?: NavItemChild[];
    rightSeparator?: boolean;
};
export type SwitcherItem = {
    appName: NavigationAppName;
    url: string;
};
export type NavigationProps = {
    appName: NavigationAppName;
    homeUrl?: string;
    activeRoute: string;
    /** @deprecated The position is now set automatically. */
    switcherPosition?: object;
    switcherItems?: SwitcherItem[];
    items: NavItemType[];
    rightAlignItems?: ReactNode;
    NextLink?: typeof NextLinkType;
    hideMobileNav?: boolean;
};
export type CustomNavLinkProps = {
    item: NavItemType;
    activeRoute: string;
    NextLink?: typeof NextLinkType;
};
export declare const Navigation: ({ switcherItems, appName, rightAlignItems, homeUrl, activeRoute, items, NextLink, hideMobileNav, }: NavigationProps) => import("theme-ui/jsx-runtime").JSX.Element;
